Bug 28317 - NPE in importNamespaces (fix attached)
Summary: NPE in importNamespaces (fix attached)
Status: CLOSED FIXED
Alias: None
Product: Xindice
Classification: Unclassified
Component: DB Engine (show other bugs)
Version: cvs head (1.1)
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Xindice Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-09 18:19 UTC by Dominic Battre
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Fixes bug described above - and certainly doesn't break anything that was ok before (802 bytes, patch)
2004-04-09 18:20 UTC, Dominic Battre
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Battre 2004-04-09 18:19:34 UTC
Importing a node to a DOMDocument with importNode(node, true) raises an
exception if the node has not belonged to another DOMTree before. (i.e. you
import it right after node =
otherDomDocument.createElementNS("http://localhost","foobar"))
Comment 1 Dominic Battre 2004-04-09 18:20:51 UTC
Created attachment 11201 [details]
Fixes bug described above - and certainly doesn't break anything that was ok before
Comment 2 Dominic Battre 2004-04-09 19:37:06 UTC
wrong version tag (now CVS)
Comment 3 Vadim Gritsenko 2004-04-26 19:20:45 UTC
Assign to list
Comment 4 Vadim Gritsenko 2004-05-20 12:35:38 UTC
patch applied, thanks.